summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulian Ospald <hasufell@gentoo.org>2013-01-18 18:40:25 +0000
committerJulian Ospald <hasufell@gentoo.org>2013-01-18 18:40:25 +0000
commit0b4ab7a8511f5ed9b3227cb187aaa1453fdfc5a6 (patch)
tree8291ea94785cfe280527f3b6eaac2e94f0dbac45 /dev-libs/libRocket/libRocket-9999.ebuild
parentinitial import (diff)
downloadhistorical-0b4ab7a8511f5ed9b3227cb187aaa1453fdfc5a6.tar.gz
historical-0b4ab7a8511f5ed9b3227cb187aaa1453fdfc5a6.tar.bz2
historical-0b4ab7a8511f5ed9b3227cb187aaa1453fdfc5a6.zip
initial import
Package-Manager: portage-2.2.0_alpha153/cvs/Linux x86_64 Manifest-Sign-Key: 0xE73C35B3
Diffstat (limited to 'dev-libs/libRocket/libRocket-9999.ebuild')
-rw-r--r--dev-libs/libRocket/libRocket-9999.ebuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/dev-libs/libRocket/libRocket-9999.ebuild b/dev-libs/libRocket/libRocket-9999.ebuild
new file mode 100644
index 000000000000..1feda37a00d2
--- /dev/null
+++ b/dev-libs/libRocket/libRocket-9999.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libRocket/libRocket-9999.ebuild,v 1.1 2013/01/18 18:40:21 hasufell Exp $
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_5,2_6,2_7} )
+inherit cmake-utils git-2 python-r1
+
+DESCRIPTION="A HTML/CSS User Interface library"
+HOMEPAGE="http://librocket.com/"
+SRC_URI=""
+EGIT_REPO_URI="git://github.com/hasufell/libRocket.git"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS=""
+IUSE="python samples"
+
+RDEPEND="media-libs/freetype
+ python? (
+ ${PYTHON_DEPS}
+ dev-libs/boost[${PYTHON_USEDEP}]
+ )"
+DEPEND="${RDEPEND}"
+
+python_BUILD_DIR=${WORKDIR}/${P}_build_python
+CMAKE_USE_DIR="${S}"/Build
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_PYTHON_BINDINGS=OFF
+ $(cmake-utils_use_build samples SAMPLES)
+ -DSAMPLES_DIR=/usr/share/${PN}/samples
+ )
+
+ cmake-utils_src_configure
+
+ if use python ; then
+ cfgpybind() {
+ local mycmakeargs=(
+ -DBUILD_PYTHON_BINDINGS=ON
+ -DCMAKE_SKIP_RPATH=YES
+ )
+ BUILD_DIR="${python_BUILD_DIR}-${EPYTHON}" cmake-utils_src_configure
+ }
+ einfo "configuring python binding"
+ python_foreach_impl cfgpybind
+ fi
+}
+
+src_compile() {
+ cmake-utils_src_compile
+
+ if use python ; then
+ buildpybind() {
+ cp "${WORKDIR}"/${P}_build/{libRocketCore*,libRocketControls*} "${python_BUILD_DIR}-${EPYTHON}"/ || die
+ BUILD_DIR="${python_BUILD_DIR}-${EPYTHON}" cmake-utils_src_make _rocketcontrols/fast _rocketcore/fast
+ }
+ einfo "compiling python binding"
+ python_foreach_impl buildpybind
+ fi
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ if use python ; then
+ instpybind() {
+ python_domodule bin/rocket.py
+ exeinto "$(python_get_sitedir)"
+ doexe ${python_BUILD_DIR}-${EPYTHON}/_rocket{core,controls}.so
+ }
+ einfo "installing python binding"
+ python_foreach_impl instpybind
+ fi
+}